Bug 1030172 - Document bare metal provisioning process in the architecture guide
Document bare metal provisioning process in the architecture guide
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.14
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.14.4
: ---
Assigned To: Dan Callaghan
tools-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 23:41 EST by Nick Coghlan
Modified: 2018-02-05 19:41 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 00:09:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-11-13 23:41:18 EST
The architecture guide should provide an overview of the provisioning process for a system:

- kickstart generation
- tftp configuration
- power commands to trigger DHCP (and hence network boot from tftp)
- installation progress reporting back to the lab controller
- ensuring network boot remains first in the boot order
- clearing the tftp config (allowing local boot)
- cleaning up at system return/recipe completion
Comment 1 Nick Coghlan 2013-11-13 23:42:17 EST
"tftp configuration" means "bootloader configuration via tftp" rather than configuring the tftp server itself.
Comment 2 Dan Callaghan 2013-11-21 17:35:37 EST
http://gerrit.beaker-project.org/2517
Comment 3 Dan Callaghan 2013-11-24 18:57:11 EST
This is now included in the development version of Beaker's documentation:

http://beaker-project.org/docs-develop/architecture-guide/provisioning-process.html
Comment 4 xjia 2013-11-25 00:40:45 EST
Verify this bug. This doc makes sense.
Comment 5 Nick Coghlan 2013-11-29 00:40:32 EST
We backported this to the 0.14.4, as it's relevant to the 0.14.4 EFI boot order fixes.

Note You need to log in before you can comment on or make changes to this bug.